2017 © Pedro Peláez
 

library mt-zendesk-api

ZF2 module wrapper for Zendesk API

image

mtymek/mt-zendesk-api

ZF2 module wrapper for Zendesk API

  • Tuesday, July 12, 2016
  • by mtymek
  • Repository
  • 1 Watchers
  • 0 Stars
  • 2,142 Installations
  • PHP
  • 0 Dependents
  • 0 Suggesters
  • 2 Forks
  • 1 Open issues
  • 8 Versions
  • 0 % Grown

The README.md

MtZendeskApi - ZF2 module wrapper for Zendesk PHP SDK

Build Status Scrutinizer Code Quality Code Coverage, (*1)

Introduction

This module allows easy access of Zendesk API from within Zend Framework 2 application., (*2)

Installation

Installation is supported via Composer:, (*3)

  1. Add "mtymek/mt-zendesk-api":"dev-master" to your composer.json file and run php composer.phar update.
  2. Add MtZendeskApi to your config/application.config.php file under the modules key.

Configuration

  1. Copy config/zendesk.local.php.dist file into your main application's config/autoload' directory, rename it tozendesk.local.php`
  2. Replace placeholder values with subdomain, username and API token read from Zendesk settings page

Example:, (*4)

return [
    'zendesk' => [
        'subdomain' => 'mycompany',
        'username'  => 'support@mycompany.com',
        'token'     => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXX',
    ],
];

Usage

Once configured, MtZendeskApi will expose Zendesk API client using ServiceManager. Example usage (from controller):, (*5)

$client = $this->getServiceLocator()->get('Zendesk\API\Client');
$newTicket = $client->tickets()->create(
    [
        'subject'   => 'Question to Support Team',
        'tags'      => ['tag1', 'tag2'],
        'requester' => [
            'email' => 'johndoe@domain.com',
        ],
        'comment'   => [
            'body' => "Ticket body"
        ],
        'priority'  => 'normal'
    ]
);

The Versions

12/07 2016

dev-master

9999999-dev

ZF2 module wrapper for Zendesk API

  Sources   Download

BSD 2-Clause

The Requires

 

The Development Requires

api zf2 module zendesk

12/07 2016

1.1.1

1.1.1.0

ZF2 module wrapper for Zendesk API

  Sources   Download

BSD 2-Clause

The Requires

 

The Development Requires

api zf2 module zendesk

29/06 2016

1.1.0

1.1.0.0

ZF2 module wrapper for Zendesk API

  Sources   Download

BSD 2-Clause

The Requires

 

The Development Requires

api zf2 module zendesk

29/03 2016

1.0.4

1.0.4.0

ZF2 module wrapper for Zendesk API

  Sources   Download

BSD 2-Clause

The Requires

 

The Development Requires

api zf2 module zendesk

28/08 2015

1.0.3

1.0.3.0

ZF2 module wrapper for Zendesk API

  Sources   Download

BSD 2-Clause

The Requires

 

The Development Requires

api zf2 module zendesk

28/08 2015

1.0.2

1.0.2.0

ZF2 module wrapper for Zendesk API

  Sources   Download

BSD 2-Clause

The Requires

 

The Development Requires

api zf2 module zendesk

16/02 2015

1.0.1

1.0.1.0

ZF2 module wrapper for Zendesk API

  Sources   Download

BSD 2-Clause

The Requires

 

The Development Requires

api zf2 module zendesk

21/06 2014

1.0.0

1.0.0.0

ZF2 module wrapper for Zendesk API

  Sources   Download

BSD 2-Clause

The Requires

 

The Development Requires

api zf2 module zendesk